#
# spec file for package perl-Class-C3-Componentised
#
# Copyright (c) 2012 SUSE LINUX Products GmbH, Nuernberg, Germany.
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via http://bugs.opensuse.org/
#

Name:           perl-Class-C3-Componentised
Version:        1.001000
Release:        10.1
%define cpan_name Class-C3-Componentised
Summary:        Class::C3::Componentised Perl module
License:        Artistic-1.0 or GPL-1.0+
Group:          Development/Libraries/Perl
Url:            http://search.cpan.org/dist/Class-C3-Componentised/
Source:         http://www.cpan.org/authors/id/F/FR/FREW/%{cpan_name}-%{version}.tar.gz
BuildArch:      noarch
BuildRoot:      %{_tmppath}/%{name}-%{version}-build
BuildRequires:  perl
BuildRequires:  perl-macros
BuildRequires:  perl(Class::C3) >= 0.20
BuildRequires:  perl(Class::Inspector)
BuildRequires:  perl(MRO::Compat)
BuildRequires:  perl(Test::Exception)
Requires:       perl(Class::C3) >= 0.20
Requires:       perl(Class::Inspector)
Requires:       perl(MRO::Compat)
Requires:       perl(Test::Exception)
%{perl_requires}

%description
Load mix-ins or components to your C3-based class.

%prep
%setup -q -n %{cpan_name}-%{version}

%build
%{__perl} Makefile.PL INSTALLDIRS=vendor
%{__make} %{?_smp_mflags}

%check
%{__make} test

%install
%perl_make_install
%perl_process_packlist
%perl_gen_filelist

%files -f %{name}.files
%defattr(-,root,root,755)
%doc Changes README

%changelog
* Fri Jan 20 2012 coolo@suse.com
- update to 1.001000
  - Add Class::C3::Componentised::ApplyHooks features
* Thu Apr 21 2011 coolo@opensuse.org
- updated to 1.0009
  - Stop importing Carp functions (and thus polluting the inheritor
    namespaces)
  - Make sure $_ is properly preserved even if the loaded module
    is negligent enough to change it (RT#66661)
  - Added missing copyright statement
    Fix inject_base regression introduced during optimizations in
    1.0007
    Throw a readable exception when load_optional_class is given an
    invalid class name
* Wed Dec  1 2010 coolo@novell.com
- switch to perl_requires macro
* Thu Dec 10 2009 chris@computersalat.de
- update to version 1.0006
  * Allow derived classes without component_base_class(), given all
    arguments to load_components are absolute class names (+Classname)
- cleanup spec
  * added header
  * sort tags
  * fixed deps
  * moved changelog to .changes
- added perl-macros
  * perl_gen_filelist
* Sun Oct 26 2008 gerrit.beine@gmx.de
- first release 1.0003
